﻿<?xml version="1.0" encoding="utf-8"?>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd" MadCap:onlyLocalStylesheets="False">
    <head>
        <link href="../../Resources/TableStyles/Default-Table.css" rel="stylesheet" MadCap:stylesheetType="table" /><title>Updating Connection Type</title>
        <link href="../../Resources/Stylesheets/Styles.css" rel="stylesheet" type="text/css" />
    </head>
    <body>
        <h1>Updating Connection Type</h1>
        <p style="margin-left: 0.0px;text-align: left;">You can update the parameters associated with a connection type, such as&#160;Default SAV Role,&#160;Attribute Type Config to update the configuration for that connection.</p>
        <p style="margin-left: 0.0px;text-align: left;">To update the connection type, perform the following steps:</p>
        <ol style="text-decoration: none;text-align: left;margin-left: 0.0px;">
            <li>Select <strong>ADMIN &gt; Identity Repository &gt; Connections</strong>.</li>
            <li>
                <p style="margin-left: 0.0px;">Select <strong>Connection Type List </strong>tab.</p>
            </li>
            <li>
                <p style="margin-left: 0.0px;text-align: left;">Click the name of connection under the column&#160;<strong style="text-align: left;">Connection Type.</strong></p>
            </li>
            <li>
                <p style="margin-left: 0.0px;">Select<strong style="text-decoration: none;text-align: left;"> Add/Update</strong> tab.&#160;The following parameters associated with the connection type are displayed:</p>
                <table class="TableStyle-Default-Table" style="width: 100%;margin-left: 0;margin-right: auto;mc-table-style: url('../../Resources/TableStyles/Default-Table.css');" cellspacing="0">
                    <col style="width: 18.5033%;" class="TableStyle-Default-Table-Column-Column1" />
                    <col style="width: 81.4876%;" class="TableStyle-Default-Table-Column-Column1" />
                    <thead>
                        <tr class="TableStyle-Default-Table-Head-Header1">
                            <th class="TableStyle-Default-Table-HeadE-Column1-Header1">Parameter</th>
                            <th class="TableStyle-Default-Table-HeadD-Column1-Header1">Description</th>
                        </tr>
                    </thead>
                    <tbody>
                        <tr class="TableStyle-Default-Table-Body-Body1">
                            <td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                <p class="table-text">Connection Type Name</p>
                            </td>
                            <td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                <p class="table-text">Name of connection.</p>
                            </td>
                        </tr>
                        <tr class="TableStyle-Default-Table-Body-Body1">
                            <td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                <p class="table-text">Connection Attributes as Comma Separated</p>
                            </td>
                            <td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                <p class="table-text">The attributes needed to establish the connection.</p>
                            </td>
                        </tr>
                        <tr class="TableStyle-Default-Table-Body-Body1">
                            <td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                <p class="table-text">Connection Attributes Type Map as Comma Separated</p>
                            </td>
                            <td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                <p class="table-text">By default, all attributes are displayed and editable. If you do not want to edit an attribute, you can hide it. </p>
                                <p class="table-text">For example, to hide ACCOUNT_TERMINATION_ACTION, USER_ATTRIBUTES, ACCOUNT_ATTRIBUTES, FILEFOLDER_ATTRIBUTES, </p>
                                <p class="table-text">MKTPLACEAPP_ATTRIBUTES, GROUP_ATTRIBUTES attributes for the GoogleApps connector, specify the following string: &#160;<br style="text-align: left;" /><span class="attr">APPLICATION_NAME#EDITABLE,SERVICE_ACCOUNT_USER#EDITABLE,SERVICE_ACCOUNT_ID</span></p>
                                <p class="table-text"><span class="attr">#EDITABLE,CONNECTOR_FILE_PATH#EDITABLE,ACCOUNT_TERMINATION_ACTION#DONOTSHOW,USER_ATTRIBUTES</span>
                                </p>
                                <p class="table-text"><span class="attr">#DONOTSHOW,ACCOUNT_ATTRIBUTES#DONOTSHOW,FILEFOLDER_ATTRIBUTES#DONOTSHOW,MKTPLACEAPP_ATTRIBUTES</span>
                                </p>
                                <p class="table-text"><span class="attr">#DONOTSHOW,GROUP_ATTRIBUTES#DONOTSHOW,QUARANTINE_FOLDER_ID#EDITABLE,SUSPEND_USER_ORGANIZATIONAL_UNIT#EDITABLE</span>
                                </p>
                            </td>
                        </tr>
                        <tr class="TableStyle-Default-Table-Body-Body1">
                            <td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                <p class="table-text">Connection Attributes Description Map as Comma Separated</p>
                            </td>
                            <td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                <p class="table-text">Description of the attributes selected to establish the connection.</p>
                            </td>
                        </tr>
                        <tr class="TableStyle-Default-Table-Body-Body1">
                            <td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                <p class="table-text">Required Connection Attributes</p>
                            </td>
                            <td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                <p class="table-text">Configure the mandatory attributes to establish the connection.&#160;</p>
                            </td>
                        </tr>
                        <tr class="TableStyle-Default-Table-Body-Body1">
                            <td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                <p class="table-text">Encrypted Connection Attributes</p>
                            </td>
                            <td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                <p class="table-text">The attribute's value which needs to be displayed in an encrypted format such as a password.</p>
                            </td>
                        </tr>
                        <tr class="TableStyle-Default-Table-Body-Body1">
                            <td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                <p class="table-text">Attribute Type Config</p>
                            </td>
                            <td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                <p class="table-text">Additional attributes required for connections such as create endpoints, which can be in Boolean code.</p>
                            </td>
                        </tr>
                        <tr class="TableStyle-Default-Table-Body-Body1">
                            <td style="text-align: left;" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                <p class="table-text">Default SAV Role</p>
                            </td>
                            <td style="text-align: left;" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                <p class="table-text">The SAV Role associated with the connection type.</p>
                            </td>
                        </tr>
                        <tr class="TableStyle-Default-Table-Body-Body1">
                            <td style="text-align: left;" class="TableStyle-Default-Table-BodyB-Column1-Body1">
                                <p class="table-text">Emergency Access ID Configuration</p>
                            </td>
                            <td style="text-align: left;" class="TableStyle-Default-Table-BodyA-Column1-Body1">
                                <p style="margin-left: 0.0px;" class="table-text">The FFID request columns can be configured using this option.<br />Sample Query :<br /><span class="attr">{"ffidoptions":["requestinstanceaccess","requestaccessforothers","managesessions"],<br></br>"step1columns":["firefighterid","endpoint","description","validfrom","validto","endpoints_customproperty1",</span></p>
                                <p style="margin-left: 0.0px;" class="table-text"><span class="attr">"endpoints_customproperty2","endpoints_customproperty3","endpoints_customproperty4","endpoints_customproperty5",<br></br>"endpoints_customproperty6","endpoints_customproperty7"]</span>
                                </p>
                                <div class="tip" MadCap:autonum="&lt;b&gt;Tip&lt;/b&gt;">
                                    <p class="note">The Action options per connection such as Request Emergency Access ID, Request For Others can also be configured using Emergency Access ID configuration.&#160;</p>
                                    <p class="note">For more information about Emergency Access ID, see <MadCap:conditionalText MadCap:conditions="Default.Link"><a href="ars-req-emrg-accs-id.htm" pubname="IGA-User-Guide-v2020x" class="peer">Requesting Emergency Access IDs</a></MadCap:conditionalText> in the<em> IGA User Guide</em>.</p>
                                    <p class="note">For more information about Emergency Access ID, see <MadCap:conditionalText MadCap:conditions="Default.Link"><a href="ars-req-emrg-accs-id.htm" pubname="IGA-User-Guide-v2021x" class="peer">Requesting Emergency Access IDs</a></MadCap:conditionalText> in the<em> IGA User Guide</em>.</p>
                                </div>
                            </td>
                        </tr>
                    </tbody>
                </table>
            </li>
            <li>Once the required parameters are updated, click <strong style="text-decoration: none;text-align: left;">Update</strong>.<br />If the update is successful, the <b>Connection type &lt;Name&gt;updated successfully message</b>&#160;message is displayed at the top of the page.<br /></li>
            <li><strong>History: </strong>The history displays the list of modifications completed for the&#160;connection type in the following format:<ul><li><strong>Field: </strong>The updated field.</li><li><strong>Update Date: </strong>Date when the connection type was modified.</li><li><strong>Updated By: </strong>The user (user name) who updated the connection type.</li><li><strong>Operation: </strong>Type of modification.</li><li><strong>Old Value: </strong>The previous value available in the field before modification.</li><li><strong>New Value: </strong>The updated connection type value after modification.</li></ul></li>
            <li>The connection type data can be exported using the following steps:<ol style="list-style-type: lower-alpha;"><li><p class="table-text">Go to<strong> ADMIN &gt; Identity Repository &gt; Connections</strong>.</p></li><li><p>Select <strong>Connection Type List</strong>.</p></li><li><p>Click the name under the column <b>Connection Type &gt;History</b>.</p></li><li><p>Click <strong style="text-decoration: none;text-align: left;">Export</strong>. Select the required format such as CSV or MS Excel.</p></li></ol></li>
        </ol>
    </body>
</html>